### A free/open-source library for quantitative finance

Public Member Functions
TreeCallableFixedRateBondEngine Class Reference

Numerical lattice engine for callable fixed rate bonds. More...

`#include <ql/experimental/callablebonds/treecallablebondengine.hpp>`

Inheritance diagram for TreeCallableFixedRateBondEngine:
[legend]

List of all members.

## Public Member Functions

void | calculate () const
Constructors

Note:
  the term structure is only needed when the short-rate model cannot provide one itself.

| TreeCallableFixedRateBondEngine (const boost::shared_ptr< ShortRateModel > &, const Size timeSteps, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
| TreeCallableFixedRateBondEngine (const boost::shared_ptr< ShortRateModel > &, const TimeGrid &timeGrid, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())

## Detailed Description

Numerical lattice engine for callable fixed rate bonds.

Examples:
  CallableBonds.cpp.